\rm tdata/*.fits
\rm ldata/*.fits
setenv WFCAMLOG /mnt/scr6/wfcamdata/obslog_070306.txt
setenv WFCAMDATA /mnt/scr6/wfcamdata
#setenv WFCAMDATA /mnt/rscr2/motohara/tmpwfcamdata

setenv WFCAMDATE 20070306
grep DARK $WFCAMLOG|gawk -v d=$WFCAMDATE -v p=$WFCAMDATA '{if($8==10)printf("%s/wfcam1/%s/w%s_%05d.fit\n",p,d,d,$1)}'> d1.tbl
./dark2.sh 1 d1.tbl
!imcopy /mnt/scr6/wfcamdata/wfcam1/20070306/w20070306_00188.fit"[1]" test.fits
!imcopy /mnt/scr6/wfcamdata/wfcam1/20070306/w20070306_00196.fit"[1]" test2.fits
imarith test.fits - test2.fits sub.fits
disp sub.fits 1

setenv MASKRADIUS 8

set DNO=1
set HEAD=sdf2-1; set START=978
set N=90;
./skyflat.sh ${HEAD} ${DNO} $START $N
\cp ${HEAD}_skyflat${DNO}.fits flat.fits
./obj.sh ${HEAD} ${DNO} $START $N
./mask.sh ${HEAD} ${DNO} $START $N

set HEAD=msdf2-1; set START=978
set N=72;
./maskskyflat.sh ${HEAD} ${DNO} $START $N
\cp mask${HEAD}_skyflat${DNO}.fits flat.fits
\cp exp_mask${HEAD}_skyflat${DNO}.pl flatexp.pl
./objsubcombine1.sh ${HEAD} ${DNO} $START $N
./objsubcombine2.sh ${HEAD} ${DNO} $START $N 36
#\cp dark5s${DNO}.fits dark${DNO}.fits 
setenv ALLHEAD sdf1;setenv ALLSTART 208;./prock1.csh
setenv ALLHEAD sdf2;setenv ALLSTART 568;./prock1.csh
\rm ldata/?2005*fits
setenv ALLHEAD sdf3;setenv ALLSTART 945;./prock1.csh
setenv ALLHEAD sdf4;setenv ALLSTART 1305;./prock1.csh
\rm ldata/?2005*fits
setenv ALLHEAD sdf5;setenv ALLSTART 1682;./prock1.csh
setenv ALLHEAD sdf6;setenv ALLSTART 2042;./prock1.csh
\rm ldata/?2005*fits
setenv ALLHEAD sdf7;setenv ALLSTART 2420;./prock1.csh
setenv ALLHEAD sdf8;setenv ALLSTART 2780;./prock1b.csh
\rm ldata/?2005*fits
setenv WFCAMLOG /remote/mb53b/motohara/2005-04-15-WFCAM.log
setenv WFCAMDATA /remote/mb53b/motohara
setenv WFCAMDATE 20050415
setenv MASKRADIUS 8
\cp dark10s${DNO}.fits dark${DNO}.fits 
setenv ALLHEAD sdfa;setenv ALLSTART 193;./prock2.csh
setenv ALLHEAD sdfb;setenv ALLSTART 454;./prock2b.csh
\rm ldata/?2005*fits
\rm tdata/sdf*.fits

imdel test.fits
imarith /mnt/rscr2/motohara/sdf-wfcam-07mar/procwfcam/clustera-a_1.fits -  clustera-a_1.fits[2:4103,2:4167] test.fits




imdel test.fits,tempex
imcombine ldata/clustera-a_1_002.fits,ldata/clustera-a_1_003.fits test.fits expmasks="tempex" combine=average

imdel test3.fits
magnify test2 test3.fits 2 2 x1=1 x2=2048 y1=1 y2=2048 interpo=nearest

imlintran test2 test3.fits 0 0 0.5 0.5 ncols=2048 nlines=2048 fluxcon+ interpo=nearest


imdel test.imh
imarith rej_clustera-a_1.fits.pl[,,1] * 0 test.imh
chpixtype test.imh test.imh real
imcopy tdata/texp_clustera-a_1_001.imh test.imh[1:4095,1:4095]
imshift test.imh test.imh 0 7  boundar=constant constan=0
imarith test.imh * rej_clustera-a_1.fits.pl[,,1] test.imh

## $B=jMW;~4V;n83(B (2007/5/24)
# rokkaku(Xeon 2.40GHz), /tmp (tmpfs)$B$K(Bprocwfcam$BE83+(B
# $B@8%G!<%?$O(BNFS$B1[$7$K(Bkarasuma(e100)$B$+$i$H$C$F$/$k(B
# 
dark2.sh : 32frames : 65sec
# $B0J2<!"(B9$B%U%l!<%`(B
skyflat.sh        : 32sec
obj.sh            : 66sec 
mask.sh           : 41sec
maskskyflat.sh    : 22sec
objsubcombine1.sh : 13sec
objsubcombine2.sh : 161sec

rm clustera_sky1.fits clustera-a_1.fits 
# rokkaku(Xeon 2.40GHz), /mnt/rscr2$B$K(Bprocwfcam$BE83+(B
# $B@8%G!<%?$O(BNFS$B1[$7$K(Bkarasuma(e100)$B$+$i$H$C$F$/$k(B
dark2.sh : 32frames : 241sec
# $B0J2<!"(B9$B%U%l!<%`(B
skyflat.sh        : 38sec
obj.sh            : 162sec / 171sec
mask.sh           : 47sec
maskskyflat.sh    : 36sec
objsubcombine1.sh : 41sec
objsubcombine2.sh : 376sec

# karasuma(PIII 1GHz), /tmp$B$K(Bprocwfcam$BE83+(B
# $B@8%G!<%?$O(BUSB-HD(/mnt/scr6)$B$+$i$H$C$F$/$k(B
dark2.sh : 32frames : 126sec
# $B0J2<!"(B9$B%U%l!<%`(B
skyflat.sh        : 50sec
obj.sh            : 144sec
mask.sh           : 74sec
maskskyflat.sh    : 50sec
objsubcombine1.sh : 34sec
objsubcombine2.sh : 377sec

# karasuma(PIII 1GHz), /mnt/scr3$B$K(Bprocwfcam$BE83+(B
# $B@8%G!<%?$O(BUSB-HD(/mnt/scr6)$B$+$i$H$C$F$/$k(B
dark2.sh : 32frames : 139sec
# $B0J2<!"(B9$B%U%l!<%`(B
skyflat.sh        : 53sec
obj.sh            : 156sec
mask.sh           : 76sec
maskskyflat.sh    : 53sec
objsubcombine1.sh : 35sec
objsubcombine2.sh : 381sec

# rokkaku(Xeon 2.40GHz), /tmp (tmpfs)$B$K(Bprocwfcam$BE83+(B
# $B@8%G!<%?$O(BRAID-5(/mnt/rscr2)$B$+$i$H$C$F$/$k(B
# 
dark2.sh : 32frames : 59sec
# $B0J2<!"(B9$B%U%l!<%`(B
skyflat.sh        : 21sec
obj.sh            : 56sec/126sec(due to swap?)
mask.sh           : 36sec
maskskyflat.sh    : 22sec
objsubcombine1.sh : 14sec
objsubcombine2.sh : 150sec

# rokkaku(Xeon 2.40GHz), /mnt/rscr2$B$K(Bprocwfcam$BE83+(B
# $B@8%G!<%?$O(BRAID-5(/mnt/rscr2)$B$+$i$H$C$F$/$k(B
dark2.sh : 32frames : 211sec
# $B0J2<!"(B9$B%U%l!<%`(B
skyflat.sh        : 45sec
obj.sh            : 159sec
mask.sh           : 39sec
maskskyflat.sh    : 51sec
objsubcombine1.sh : 43sec
objsubcombine2.sh : 309sec

# sb72(UltraSPARC-IIIi 1280MHz), /remote/mbf2d$B$K(Bprocwfcam$BE83+(B
# $B@8%G!<%?$O%j%b!<%H%5!<%P(B(/remote/mbf2d)$B$+$i$H$C$F$/$k(B
# IRAF$B:n6H%G%#%l%/%H%j(B $HDR
dark2.sh : 30frames : 100sec
# $B0J2<!"(B9$B%U%l!<%`(B
skyflat.sh        : 49sec
obj.sh            : 103sec
mask.sh           : 53sec
maskskyflat.sh    : 54sec
objsubcombine1.sh : 33sec
objsubcombine2.sh : 302sec

# sb72(UltraSPARC-IIIi 1280MHz), /remote/mbf2d$B$K(Bprocwfcam$BE83+(B
# $B@8%G!<%?$O%j%b!<%H%5!<%P(B(/remote/mbf2d)$B$+$i$H$C$F$/$k(B
# IRAF$B:n6H%G%#%l%/%H%j(B /tmp
dark2.sh : 30frames : 103sec
# $B0J2<!"(B9$B%U%l!<%`(B
skyflat.sh        : 49sec
obj.sh            : 102sec
mask.sh           : 50sec
maskskyflat.sh    : 50sec
objsubcombine1.sh : 33sec
objsubcombine2.sh : 234sec

